import request from '@/utils/request'

// 查询设备班组维护列表
export function listEquTeam(query) {
	return request({
		url: '/device/equTeam/list',
		method: 'get',
		params: query
	});
}

// 查询设备班组维护详细
export function getEquTeam(id) {
	return request({
		url: '/device/equTeam/' + id,
		method: 'get'
		});
}

// 新增设备班组维护
export function addEquTeam(data) {
	return request({
		url: '/device/equTeam',
		method: 'post',
		data: data
	});
}

// 修改设备班组维护
export function updateEquTeam(data) {
	return request({
		url: '/device/equTeam',
		method: 'put',
		data: data
	});
}

// 删除设备班组维护
export function delEquTeam(id) {
	return request({
		url: '/device/equTeam/' + id,
		method: 'delete'
	});
}

// 查询设备班组分类
export function getMaintenanceTeamList() {
  return request({
    url: '/device/equTeam/getMaintenanceTeamList',
    method: 'get'
  });
}

// 查询班组列表
export function listTeamMembers(query) {
  return request({
    url: '/device/equTeam/listTeamMembers',
    method: 'get',
    params: query
  });
}

// 查询班组列表
export function getRightList(query) {
  return request({
    url: '/device/equTeam/getRightList',
    method: 'get',
    params: query
  });
}
